> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tesouro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get purchase order



## OpenAPI

````yaml /.tooling/schemas/rest/tags/product-finops.json get /finops/v1/payable-purchase-orders/{purchase_order_id}
openapi: 3.1.0
info:
  title: Tesouro Partner API
  version: '2026-09-24'
  description: The Tesouro REST API, for Tesouro partners to integrate with our solution.
  termsOfService: https://tesouro.com/terms
  contact:
    name: Tesouro team
    url: https://tesouro.com/about/
    email: developers@tesouro.com
servers:
  - url: https://api.sandbox.tesouro.com
    description: Sandbox
security: []
tags:
  - name: Accounting connections
  - name: Accounting data pull
  - name: Accounting synchronized records
  - name: Accounting tax rates
  - name: Analytics
  - name: Approval policies
  - name: Approval requests
  - name: Bank details
  - name: Comments
  - name: Cost centers
  - name: Counterpart addresses
  - name: Counterpart bank accounts
  - name: Counterpart contacts
  - name: Counterpart VAT IDs
  - name: Counterparts
  - name: Credit notes
  - name: Custom tax rates
  - name: Delivery notes
  - name: Departments
  - name: Disclosures
  - name: Documents
  - name: Events
  - name: Files
  - name: Ledger accounts
  - name: Locations
  - name: Mail templates
  - name: Mailbox domains
  - name: Mailboxes
  - name: Measure units
  - name: OCR
  - name: OIDC applications
  - name: Organizations
  - name: Overdue reminders
  - name: Payable duplicates
  - name: Payable line items
  - name: Payables
  - name: Payment intents
  - name: Payment links
  - name: Payment methods
  - name: Payment records
  - name: Payment reminders
  - name: Payment terms
  - name: PDF templates
  - name: Products
  - name: Projects
  - name: Purchase orders
  - name: Receipts
  - name: Receivables
  - name: Recurrences
  - name: Roles
  - name: Tags
  - name: Text templates
  - name: Transactions
  - name: Users
  - name: Webhook deliveries
  - name: Webhook subscriptions
paths:
  /finops/v1/payable-purchase-orders/{purchase_order_id}:
    get:
      tags:
        - Purchase orders
      summary: Get purchase order
      operationId: get_payable-purchase-orders_id
      parameters:
        - required: true
          schema:
            type: string
            format: date
          example: '2026-09-24'
          name: x-finops-version
          in: header
        - name: purchase_order_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: x-organization-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
            examples:
              - 9d2b4c8f-2087-4738-ba91-7359683c49a4
          description: The ID of the entity that owns the requested resource.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PurchaseOrderResponseSchema'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '405':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchemaResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    PurchaseOrderResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID assigned to this purchase order.
        created_at:
          type: string
          format: date-time
          description: >-
            Time at which the receivable was created. Timestamps follow the ISO
            8601 standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Time at which the receivable was last updated. Timestamps follow the
            ISO 8601 standard.
        counterpart:
          $ref: '#/components/schemas/PurchaseOrderCounterpartSchema'
          description: >-
            Counterpart information about an organization (juridical person) or
            individual (natural person) that provides goods and services to or
            buys them from an
        counterpart_address:
          anyOf:
            - $ref: '#/components/schemas/PurchaseOrderCounterpartAddressSchema'
            - type: 'null'
          description: >-
            Counterpart address data saved on creation or update of the purchase
            order.
        counterpart_address_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            The ID of counterpart address object stored in counterparts service.
            If not provided, counterpart's default address is used.
        counterpart_id:
          type: string
          format: uuid
          description: Counterpart unique ID.
        created_by_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: ID of the creator of the purchase order
        currency:
          $ref: '#/components/schemas/CurrencyEnum'
          description: >-
            The currency in which the price of the product is set. (all items
            need to have the same currency)
        document_id:
          type: string
        entity:
          anyOf:
            - $ref: '#/components/schemas/PayableEntityIndividualResponse'
            - $ref: '#/components/schemas/PayableEntityOrganizationResponse'
          description: Data of the entity (address, name, contact)
        entity_id:
          type: string
          format: uuid
          description: The ID of the entity which issued the purchase order.
        entity_vat_id:
          anyOf:
            - $ref: '#/components/schemas/PurchaseOrderVatId'
            - type: 'null'
        file_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
        file_url:
          anyOf:
            - type: string
            - type: 'null'
        issued_at:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          description: >-
            When status changed from 'draft' to 'send', so after sending
            purchase order
        items:
          items:
            $ref: '#/components/schemas/PurchaseOrderItem'
          type: array
          description: List of item to purchase
        message:
          type: string
          description: >-
            Msg which will be send to counterpart for who the purchase order is
            issued.
        project_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: Project id of a purchase order
        status:
          type: string
          description: >-
            Purchase order can be in 'draft' state before sending it to
            counterpart. After that state is 'issued'
        valid_for_days:
          type: integer
          minimum: 1
          description: Number of days for which purchase order is valid
      type: object
      required:
        - id
        - created_at
        - updated_at
        - counterpart
        - counterpart_id
        - currency
        - document_id
        - entity
        - entity_id
        - items
        - message
        - status
        - valid_for_days
      description: >-
        Represents response for an Accounts Purchase Order document created by
        entity.
    ErrorSchemaResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorSchema'
      type: object
      required:
        - error
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    PurchaseOrderCounterpartSchema:
      anyOf:
        - $ref: '#/components/schemas/PurchaseOrderCounterpartIndividualRootResponse'
        - $ref: >-
            #/components/schemas/PurchaseOrderCounterpartOrganizationRootResponse
    PurchaseOrderCounterpartAddressSchema:
      properties:
        city:
          type: string
          maxLength: 255
          description: City name.
          examples:
            - New York
        country:
          $ref: '#/components/schemas/AllowedCountries'
          description: >-
            Two-letter ISO country code ([ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
          examples:
            - US
        line1:
          type: string
          maxLength: 255
          description: Street address.
          examples:
            - 456 Fifth Avenue
        line2:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          description: Additional address information (if any).
        postal_code:
          type: string
          maxLength: 255
          description: ZIP or postal code.
          examples:
            - '10001'
        state:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          description: State, region, province, or county.
      additionalProperties: false
      type: object
      required:
        - city
        - country
        - line1
        - postal_code
    CurrencyEnum:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SEK
        - SGD
        - SHP
        - SLE
        - SOS
        - SRD
        - SSP
        - SVC
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VND
        - VUV
        - WST
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMW
    PayableEntityIndividualResponse:
      properties:
        id:
          type: string
          format: uuid
          description: UUID entity ID
        created_at:
          type: string
          format: date-time
          description: UTC datetime
        updated_at:
          type: string
          format: date-time
          description: UTC datetime
        address:
          $ref: '#/components/schemas/PayableEntityAddressSchema'
        email:
          anyOf:
            - type: string
            - type: 'null'
          description: An official email address of the entity
        individual:
          $ref: '#/components/schemas/PayableIndividualSchema'
          description: A set of metadata describing an individual
        logo:
          anyOf:
            - $ref: '#/components/schemas/FileSchema'
            - type: 'null'
          description: A logo image of the entity
        phone:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          description: A phone number of the entity
        status:
          $ref: '#/components/schemas/StatusEnum'
          description: record status, 'active' by default
        tax_id:
          anyOf:
            - type: string
              maxLength: 30
            - type: 'null'
          description: >-
            The entity's taxpayer identification number or tax ID. This field is
            required for entities that are non-VAT registered.
        website:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          description: A website of the entity
      type: object
      required:
        - id
        - created_at
        - updated_at
        - address
        - individual
        - status
    PayableEntityOrganizationResponse:
      properties:
        id:
          type: string
          format: uuid
          description: UUID entity ID
        created_at:
          type: string
          format: date-time
          description: UTC datetime
        updated_at:
          type: string
          format: date-time
          description: UTC datetime
        address:
          $ref: '#/components/schemas/PayableEntityAddressSchema'
        email:
          anyOf:
            - type: string
            - type: 'null'
          description: An official email address of the entity
        logo:
          anyOf:
            - $ref: '#/components/schemas/FileSchema'
            - type: 'null'
          description: A logo image of the entity
        organization:
          $ref: '#/components/schemas/PayableOrganizationSchema'
          description: A set of metadata describing an organization
        phone:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          description: A phone number of the entity
        status:
          $ref: '#/components/schemas/StatusEnum'
          description: record status, 'active' by default
        tax_id:
          anyOf:
            - type: string
              maxLength: 30
            - type: 'null'
          description: >-
            The entity's taxpayer identification number or tax ID. This field is
            required for entities that are non-VAT registered.
        website:
          anyOf:
            - type: string
              maxLength: 2083
              minLength: 1
              format: uri
            - type: 'null'
          description: A website of the entity
      type: object
      required:
        - id
        - created_at
        - updated_at
        - address
        - organization
        - status
    PurchaseOrderVatId:
      properties:
        id:
          type: string
          format: uuid
        country:
          type: string
        entity_id:
          type: string
          format: uuid
        type:
          type: string
        value:
          type: string
      type: object
      required:
        - id
        - country
        - entity_id
        - type
        - value
    PurchaseOrderItem:
      properties:
        currency:
          $ref: '#/components/schemas/CurrencyEnum'
          description: The currency in which the price of the product is set.
        name:
          type: string
          description: The name of the product to purchase
        price:
          type: integer
          description: >-
            The subtotal cost (excluding tax), in [minor
            units](https://docs.monite.com/references/currencies#minor-units).
        quantity:
          type: integer
          description: Number (quantity) of products
        tax_rate:
          type: integer
          maximum: 10000
          minimum: 0
          description: 'Tax rate in percent minor units. Example: 12.5% is 1250'
        unit:
          type: string
          description: Units (hours, meters, unit)
      additionalProperties: false
      type: object
      required:
        - currency
        - name
        - price
        - quantity
        - tax_rate
        - unit
    ErrorSchema:
      properties:
        message:
          type: string
      type: object
      required:
        - message
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
      type: object
      required:
        - loc
        - msg
        - type
    PurchaseOrderCounterpartIndividualRootResponse:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the counterpart.
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the counterpart was created. Timestamps follow
            the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the counterpart was last updated. Timestamps
            follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
            standard.
        created_automatically:
          type: boolean
          description: >-
            `true` if the counterpart was created automatically by Monite when
            processing incoming invoices with OCR. `false` if the counterpart
            was created by the API client.
          default: false
        created_by_entity_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: Entity user ID of counterpart creator.
        default_billing_address_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            ID of the counterpart's billing address. If the counterpart is
            US-based and needs to accept ACH payments, this address must have
            all fields filled in. If `default_billing_address_id` is not
            defined, the default address is instead used as the billing address
            for ACH payments.
        default_shipping_address_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: ID of the shipping address.
        external_reference:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          description: >-
            A user-defined identifier of the counterpart. For example, the
            customer or vendor reference number in the entity's CRM system. If
            specified, it will be displayed in PDF invoices and other accounts
            receivable documents created by the entity.
          examples:
            - '123456789'
        individual:
          $ref: '#/components/schemas/PurchaseOrderCounterpartIndividualResponse'
        is_customer:
          type: boolean
          description: Indicates if the counterpart is a customer.
        is_vendor:
          type: boolean
          description: Indicates if the counterpart is a vendor.
        language:
          anyOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
            - type: 'null'
          description: The language used to generate PDF documents for this counterpart.
        reminders_enabled:
          type: boolean
          default: true
        tax_id:
          anyOf:
            - type: string
              maxLength: 30
            - type: 'null'
          description: The counterpart's taxpayer identification number or tax ID.
        type:
          $ref: '#/components/schemas/CounterpartType'
          description: >-
            The counterpart type: `organization` (juridical person) or
            `individual` (natural person).
      type: object
      required:
        - id
        - created_at
        - updated_at
        - individual
        - is_customer
        - is_vendor
        - type
    PurchaseOrderCounterpartOrganizationRootResponse:
      properties:
        id:
          type: string
          format: uuid
          description: Unique ID of the counterpart.
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the counterpart was created. Timestamps follow
            the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the counterpart was last updated. Timestamps
            follow the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601)
            standard.
        created_automatically:
          type: boolean
          description: >-
            `true` if the counterpart was created automatically by Monite when
            processing incoming invoices with OCR. `false` if the counterpart
            was created by the API client.
          default: false
        created_by_entity_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: Entity user ID of counterpart creator.
        default_billing_address_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: >-
            ID of the counterpart's billing address. If the counterpart is
            US-based and needs to accept ACH payments, this address must have
            all fields filled in. If `default_billing_address_id` is not
            defined, the default address is instead used as the billing address
            for ACH payments.
        default_shipping_address_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: ID of the shipping address.
        external_reference:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          description: >-
            A user-defined identifier of the counterpart. For example, the
            customer or vendor reference number in the entity's CRM system. If
            specified, it will be displayed in PDF invoices and other accounts
            receivable documents created by the entity.
          examples:
            - '123456789'
        is_customer:
          type: boolean
          description: Indicates if the counterpart is a customer.
        is_vendor:
          type: boolean
          description: Indicates if the counterpart is a vendor.
        language:
          anyOf:
            - $ref: '#/components/schemas/LanguageCodeEnum'
            - type: 'null'
          description: The language used to generate PDF documents for this counterpart.
        organization:
          $ref: '#/components/schemas/PurchaseOrderCounterpartOrganizationResponse'
        reminders_enabled:
          type: boolean
          default: true
        tax_id:
          anyOf:
            - type: string
              maxLength: 30
            - type: 'null'
          description: The counterpart's taxpayer identification number or tax ID.
        type:
          $ref: '#/components/schemas/CounterpartType'
          description: >-
            The counterpart type: `organization` (juridical person) or
            `individual` (natural person).
      type: object
      required:
        - id
        - created_at
        - updated_at
        - is_customer
        - is_vendor
        - organization
        - type
    AllowedCountries:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - KH
        - CM
        - CA
        - IC
        - CV
        - KY
        - CF
        - EA
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - CI
        - HR
        - CU
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - AN
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MP
        - MK
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - SH
        - KN
        - LC
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SK
        - SI
        - SB
        - SO
        - ZA
        - SS
        - GS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - BL
        - BQ
        - CW
        - MF
        - SX
    PayableEntityAddressSchema:
      properties:
        city:
          type: string
          maxLength: 255
          description: A city (a full name) where the entity is registered
        country:
          $ref: '#/components/schemas/AllowedCountries'
          description: 'A country name (as ISO code) where the entity is registered '
          default: DE
          examples:
            - DE
        line1:
          type: string
          maxLength: 255
          description: A street where the entity is registered
        line2:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          description: An alternative street used by the entity
        postal_code:
          type: string
          maxLength: 10
          description: A postal code of the address where the entity is registered
        state:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          description: A state in a country where the entity is registered
      type: object
      required:
        - city
        - line1
        - postal_code
    PayableIndividualSchema:
      properties:
        date_of_birth:
          anyOf:
            - type: string
              format: date
            - type: 'null'
        first_name:
          type: string
          maxLength: 100
          description: A first name of an individual
        id_number:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          type: string
          maxLength: 100
          description: A last name of an individual
        ssn_last_4:
          anyOf:
            - type: string
            - type: 'null'
          description: The last four digits of the individual's Social Security number
        title:
          anyOf:
            - type: string
              maxLength: 10
            - type: 'null'
          description: A title of an individual
      type: object
      required:
        - first_name
        - last_name
    FileSchema:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID of this file.
        created_at:
          type: string
          format: date-time
          description: >-
            UTC date and time when this workflow was uploaded to Monite.
            Timestamps follow the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
        file_type:
          type: string
          description: The type of the business object associated with this file.
          examples:
            - payables
        md5:
          type: string
          description: The MD5 hash of the file.
          examples:
            - 31d1a2dd1ad3dfc39be849d70a68dac0
        mimetype:
          type: string
          description: >-
            The file's [media
            type](https://developer.mozilla.org/en-US/docs/Web/HTTP/MIME_types).
          examples:
            - application/pdf
        name:
          type: string
          maxLength: 512
          description: The original file name (if available).
          examples:
            - invoice.pdf
        pages:
          anyOf:
            - items:
                $ref: '#/components/schemas/PageSchema'
              type: array
            - type: 'null'
          description: >-
            If the file is a PDF document, this property contains individual
            pages extracted from the file. Otherwise, an empty array.
          default: []
        previews:
          anyOf:
            - items:
                $ref: '#/components/schemas/PreviewSchema'
              type: array
            - type: 'null'
          description: >-
            Preview images generated for this file. There can be multiple images
            with different sizes.
          default: []
        region:
          type: string
          description: Geographical region of the data center where the file is stored.
          examples:
            - eu-central-1
        size:
          type: integer
          minimum: 0
          description: The file size in bytes.
          examples:
            - 24381
        url:
          type: string
          description: The URL to download the file.
          examples:
            - https://bucketname.s3.amazonaws.com/12345/67890.pdf
      type: object
      required:
        - id
        - created_at
        - file_type
        - md5
        - mimetype
        - name
        - region
        - size
        - url
      description: Represents a file (such as a PDF invoice) that was uploaded to Monite.
    StatusEnum:
      type: string
      enum:
        - active
        - deleted
    PayableOrganizationSchema:
      properties:
        business_structure:
          anyOf:
            - $ref: '#/components/schemas/EntityBusinessStructure'
            - type: 'null'
          description: Business structure of the company
        directors_provided:
          anyOf:
            - type: boolean
            - type: 'null'
        executives_provided:
          anyOf:
            - type: boolean
            - type: 'null'
        legal_entity_id:
          anyOf:
            - type: string
              maxLength: 20
            - type: 'null'
          description: A code which identifies uniquely a party of a transaction worldwide
        legal_name:
          type: string
          maxLength: 255
          minLength: 1
          description: A legal name of an organization
        owners_provided:
          anyOf:
            - type: boolean
            - type: 'null'
        representative_provided:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - legal_name
    PurchaseOrderCounterpartIndividualResponse:
      properties:
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          description: The person's email address.
          examples:
            - asingh@example.net
        first_name:
          type: string
          maxLength: 255
          minLength: 1
          description: The person's first name.
          examples:
            - Adnan
        last_name:
          type: string
          maxLength: 255
          minLength: 1
          description: The person's last name.
          examples:
            - Singh
        phone:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          description: The person's phone number.
          examples:
            - '5553211234'
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/CounterpartTagSchema'
              type: array
            - type: 'null'
          description: The list of tags for this counterpart.
        title:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          description: 'The person''s title or honorific. Examples: Mr., Ms., Dr., Prof.'
          examples:
            - Mr.
      type: object
      required:
        - first_name
        - last_name
    LanguageCodeEnum:
      type: string
      enum:
        - ab
        - aa
        - af
        - ak
        - sq
        - am
        - ar
        - an
        - hy
        - av
        - ae
        - ay
        - az
        - bm
        - ba
        - eu
        - be
        - bn
        - bi
        - bs
        - br
        - bg
        - my
        - ca
        - ch
        - ce
        - ny
        - zh
        - cu
        - cv
        - kw
        - co
        - cr
        - hr
        - cs
        - da
        - dv
        - nl
        - dz
        - en
        - eo
        - et
        - ee
        - fo
        - fj
        - fi
        - fr
        - fy
        - ff
        - gd
        - gl
        - lg
        - ka
        - de
        - el
        - kl
        - gn
        - gu
        - ht
        - ha
        - he
        - hz
        - hi
        - ho
        - hu
        - io
        - ig
        - id
        - ia
        - ie
        - iu
        - ik
        - ga
        - it
        - ja
        - jv
        - kn
        - kr
        - ks
        - kk
        - km
        - ki
        - rw
        - ky
        - kv
        - kg
        - ko
        - kj
        - ku
        - lo
        - la
        - lv
        - li
        - ln
        - lt
        - lu
        - lb
        - mk
        - mg
        - ms
        - ml
        - mt
        - gv
        - mi
        - mr
        - mh
        - mn
        - na
        - nv
        - nd
        - nr
        - ng
        - ne
        - 'no'
        - nb
        - nn
        - ii
        - oc
        - oj
        - om
        - os
        - pi
        - ps
        - fa
        - pl
        - pt
        - pa
        - qu
        - ro
        - rm
        - rn
        - ru
        - se
        - sm
        - sg
        - sa
        - sc
        - sr
        - sn
        - sd
        - si
        - sk
        - sl
        - so
        - st
        - es
        - su
        - sw
        - ss
        - sv
        - tl
        - ty
        - tg
        - ta
        - tt
        - te
        - th
        - bo
        - ti
        - to
        - ts
        - tn
        - tr
        - tk
        - tw
        - ug
        - uk
        - ur
        - uz
        - ve
        - vi
        - vo
        - wa
        - cy
        - wo
        - xh
        - yi
        - yo
        - za
        - zu
    CounterpartType:
      type: string
      enum:
        - individual
        - organization
    PurchaseOrderCounterpartOrganizationResponse:
      properties:
        email:
          anyOf:
            - type: string
              format: email
            - type: 'null'
          description: The email address of the organization
          examples:
            - acme@example.com
        legal_name:
          type: string
          maxLength: 255
          description: The legal name of the organization.
          examples:
            - Acme Inc.
        phone:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          description: The phone number of the organization
          examples:
            - '5551231234'
        tags:
          anyOf:
            - items:
                $ref: '#/components/schemas/CounterpartTagSchema'
              type: array
            - type: 'null'
          description: The list of tags for this counterpart.
      type: object
      required:
        - legal_name
    PageSchema:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID of the image.
        mimetype:
          type: string
          description: >-
            The [media
            type](https://developer.mozilla.org/en-US/docs/Web/HTTP/MIME_types)
            of the image.
          examples:
            - image/png
        number:
          type: integer
          minimum: 0
          description: The page number in the PDF document, from 0.
          examples:
            - 0
        size:
          type: integer
          minimum: 0
          description: Image file size, in bytes.
          examples:
            - 21972
        url:
          type: string
          description: The URL to download the image.
          examples:
            - https://bucket.s3.amazonaws.com/123/456.png
      type: object
      required:
        - id
        - mimetype
        - number
        - size
        - url
      description: >-
        When a PDF document is uploaded to Monite, it extracts individual pages
        from the document

        and saves them as PNG images. This object contains the image and
        metadata of a single page.
    PreviewSchema:
      properties:
        height:
          type: integer
          description: The image height in pixels.
          examples:
            - 400
        url:
          type: string
          description: The image URL.
          examples:
            - https://bucketname.s3.amazonaws.com/1/2/3.png
        width:
          type: integer
          description: The image width in pixels.
          examples:
            - 200
      type: object
      required:
        - height
        - url
        - width
      description: A preview image generated for a file.
    EntityBusinessStructure:
      type: string
      enum:
        - incorporated_partnership
        - unincorporated_partnership
        - public_corporation
        - private_corporation
        - sole_proprietorship
        - single_member_llc
        - multi_member_llc
        - private_partnership
        - unincorporated_association
        - public_partnership
    CounterpartTagSchema:
      properties:
        id:
          type: string
          format: uuid
          description: A unique ID of this tag.
          examples:
            - ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        created_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was created. Timestamps follow the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          examples:
            - '2022-09-07T16:35:18.484507+00:00'
        updated_at:
          type: string
          format: date-time
          description: >-
            Date and time when the tag was last updated. Timestamps follow the
            [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) standard.
          examples:
            - '2022-09-07T16:35:18.484507+00:00'
        category:
          anyOf:
            - $ref: '#/components/schemas/TagCategory'
            - type: 'null'
          description: The tag category.
          examples:
            - department
        created_by_entity_user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          description: ID of the user who created the tag.
          examples:
            - ea837e28-509b-4b6a-a600-d54b6aa0b1f5
        description:
          anyOf:
            - type: string
              maxLength: 255
              minLength: 1
            - type: 'null'
          description: The tag description.
          examples:
            - Tag for the Marketing Department
        name:
          type: string
          description: The tag name.
          examples:
            - Marketing
      type: object
      required:
        - id
        - created_at
        - updated_at
        - name
      description: >-
        Represents a user-defined tag that can be assigned to resources to
        filter them.
    TagCategory:
      type: string
      enum:
        - document_type
        - department
        - project
        - cost_center
        - vendor_type
        - payment_method
        - approval_status
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````